Subject: [Megaco] H.248 Package for CDR Recording; Re: CDRs from MGW

From: "Schwarz, Albrecht (Albrecht)" <[email-masked]>
Date: Thu, 15 Jul 2010 10:03:13 +0200

just as historical note:
there was a proposal for an H.248  CDR package back in 2004
http://wftp3.itu.int/av-arch/avc-site/2001-2004/0405_Bei/AVD-2478.zip
http://wftp3.itu.int/av-arch/avc-site/2001-2004/0408_San/AVD-2551.zip
http://www.itu.int/md/T05-SG16-041116-D-0087/en

-Albrecht

Re: [Megaco] CDRs from MGW
________________________________

 *   To: "Priya, Geetha (NSN - IN/Bangalore)" <geetha.priya at nsn.com<mailto:[email-masked]>>, "Schwarz, Albrecht (Albrecht)" <albrecht.schwarz at alcatel-lucent.com<mailto:[email-masked]>>, "megaco at ietf.org<mailto:[email-masked]>" <megaco at ietf.org<mailto:[email-masked]>>
 *   Subject: Re: [Megaco] CDRs from MGW
 *   From: "Bhattacharjee, Arindam (Arindam)" <arindam.bhattacharjee at alcatel-lucent.com<mailto:[email-masked]>>
 *   Date: Tue, 13 Jul 2010 13:40:38 -0500
 *   Accept-language: en-US
 *   Acceptlanguage: en-US
 *   Delivered-to: megaco at core3.amsl.com<mailto:[email-masked]>
 *   In-reply-to: <E0C1603EAB0A2C47847409D9948690231151ED at SGSIEXC007.nsn-intra.net<mailto:[email-masked]>>
 *   List-archive: <http://www.ietf.org/mail-archive/web/megaco>
 *   List-help: <mailto:[email-masked]?subject=help>
 *   List-id: Media Gateway Control <megaco.ietf.org>
 *   List-post: <mailto:[email-masked]>
 *   List-subscribe: <https://www.ietf.org/mailman/listinfo/megaco>, <mailto:[email-masked]?subject=subscribe>
 *   List-unsubscribe: <https://www.ietf.org/mailman/listinfo/megaco>, <mailto:[email-masked]?subject=unsubscribe>
 *   References: <E0C1603EAB0A2C47847409D9948690230D30DC at SGSIEXC007.nsn-intra.net<mailto:[email-masked]>> <5F7BCCF5541B7444830A2288ABBEBC961D4605D44F at FRMRSSXCHMBSD2.dc-m.alcatel-lucent.com<mailto:[email-masked]>> <E0C1603EAB0A2C47847409D9948690231151ED at SGSIEXC007.nsn-intra.net<mailto:[email-masked]>>
 *   Thread-index: Acshfj4DPMoPtxc7T66GwmHT13clBgA6P3FQAAA5FFAAFHhQcA==
 *   Thread-topic: CDRs from MGW

________________________________
Title: CDRs from MGW
MGCF CDR generation is outside the scope of H.248.
The QoS statistics sent from MG on H.248 per stream basis can be mapped per call leg in MGC call control application and can be  included in CDR. Billing system apps can use those CDR fields for charging. But those are upto the respective  implementation of MGC or billing apps  & outside the scope of H.248
-Arindam

________________________________
Re: [Megaco] CDRs from MGW
________________________________

 *   To: "Priya, Geetha (NSN - IN/Bangalore)" <geetha.priya at nsn.com<mailto:[email-masked]>>, "megaco at ietf.org<mailto:[email-masked]>" <megaco at ietf.org<mailto:[email-masked]>>
 *   Subject: Re: [Megaco] CDRs from MGW
 *   From: "Schwarz, Albrecht (Albrecht)" <albrecht.schwarz at alcatel-lucent.com<mailto:[email-masked]>>
 *   Date: Tue, 13 Jul 2010 11:14:59 +0200
 *   Accept-language: en-US
 *   Acceptlanguage: en-US
 *   Delivered-to: megaco at core3.amsl.com<mailto:[email-masked]>
 *   In-reply-to: <E0C1603EAB0A2C47847409D9948690231151ED at SGSIEXC007.nsn-intra.net<mailto:[email-masked]>>
 *   List-archive: <http://www.ietf.org/mail-archive/web/megaco>
 *   List-help: <mailto:[email-masked]?subject=help>
 *   List-id: Media Gateway Control <megaco.ietf.org>
 *   List-post: <mailto:[email-masked]>
 *   List-subscribe: <https://www.ietf.org/mailman/listinfo/megaco>, <mailto:[email-masked]?subject=subscribe>
 *   List-unsubscribe: <https://www.ietf.org/mailman/listinfo/megaco>, <mailto:[email-masked]?subject=unsubscribe>
 *   References: <E0C1603EAB0A2C47847409D9948690230D30DC at SGSIEXC007.nsn-intra.net<mailto:[email-masked]>> <5F7BCCF5541B7444830A2288ABBEBC961D4605D44F at FRMRSSXCHMBSD2.dc-m.alcatel-lucent.com<mailto:[email-masked]>> <E0C1603EAB0A2C47847409D9948690231151ED at SGSIEXC007.nsn-intra.net<mailto:[email-masked]>>
 *   Thread-index: Acshfj4DPMoPtxc7T66GwmHT13clBgA6P3FQAAA5FFAAAJaZ8A==
 *   Thread-topic: CDRs from MGW

________________________________
Title: CDRs from MGW
Thus, you should raise your question on the correspondent 3GPP email lists (SA2, CT3, CT4) (because it would be subject of an 3GPP H.248 Proflie (for Mn, Mc, Mp, Ix or Iq)), rather than the IETF list.

You may find a recent discussion paper of my company on that topic,
Measurements and statistics in IMS - Use Cases
http://www.3gpp.org/ftp/tsg_ct/WG3_interworking_ex-CN3/TSGC3_58_Kyoto_Japan/Doc/C3-100469.zip<http://www.3gpp.org/ftp/tsg_ct/WG3_interworking_ex-CN3/TSGC3_58_Kyoto_Japan/Doc/>
-> 3.5     Case #5: Served user of statistics = Charging system..

The present status of correspondent support by 3GPP solutions has nothing to do with H.248, it's rather the overall 3GPP charging architecture as part of 3GPP IMS.

Like to recommend that your contact your NSN CT3 delegates.

________________________________
From: Priya, Geetha (NSN - IN/Bangalore) [mailto:geetha.priya at nsn.com]
Sent: Dienstag, 13. Juli 2010 10:59
To: Schwarz, Albrecht (Albrecht); megaco at ietf.org
Subject: RE: CDRs from MGW

Hi,

Thanks for the reply.

Typically the performance measurements are to be considered for charging and hence must be part of CDR, but I don't see such info being transferred. I am actually looking into this from IMS perspective, the MGCF-CDR has no info on these .. so I am wondering how the billing domain computes cost based on this.. the Application server has more to say about application but I am looking  into charging based on voice quality. Does it makes sense?

I will also look into H.248 statistics.

Best regards
Geetha

From: ext Schwarz, Albrecht (Albrecht) [mailto:albrecht.schwarz at alcatel-lucent.com]
Sent: Tuesday, July 13, 2010 2:16 PM
To: Priya, Geetha (NSN - IN/Bangalore); megaco at ietf.org
Subject: RE: CDRs from MGW

Any interfaces to charging systems, billing servers, QoS servers, etc are usually on MGC level, not at MG level.
Consequently, if your  indicated information elements like performance measurements, QoS metrics, etc from bearer level would be subject of CDRs, then correspondent H.248 statistics would be applied at the H.248 interface.

________________________________
From: megaco-bounces at ietf.org [mailto:megaco-bounces at ietf.org] On Behalf Of Priya, Geetha (NSN - IN/Bangalore)
Sent: Montag, 12. Juli 2010 06:54
To: megaco at ietf.org
Subject: [Megaco] CDRs from MGW

Hi All,

Anyone aware of what type of charging details [CDRs] are sent from Media Gateway. I am assuming some type of billing decisions made based on QoS user gets [like MoS, delay , jitter etc].

I don't see any spec talking about this.

Thanks in advance

Geetha

________________________________

 *   References:
    *   [Megaco] CDRs from MGW<http://www.ietf.org/mail-archive/web/megaco/current/msg08392.html>
       *   From: Priya, Geetha (NSN - IN/Bangalore)
    *   Re: [Megaco] CDRs from MGW<http://www.ietf.org/mail-archive/web/megaco/current/msg08394.html>
       *   From: Schwarz, Albrecht (Albrecht)
    *   Re: [Megaco] CDRs from MGW<http://www.ietf.org/mail-archive/web/megaco/current/msg08395.html>
       *   From: Priya, Geetha (NSN - IN/Bangalore)

 *   Prev by Date: Re: [Megaco] CDRs from MGW<http://www.ietf.org/mail-archive/web/megaco/current/msg08395.html>
 *   Next by Date: Re: [Megaco] C-439 H.248.50 (ex H.248.NATTT): Updates - draft-ietf-avt-app-rtp-keepalive<http://www.ietf.org/mail-archive/web/megaco/current/msg08397.html>
 *   Previous by thread: Re: [Megaco] CDRs from MGW<http://www.ietf.org/mail-archive/web/megaco/current/msg08395.html>
 *   Next by thread: Re: [Megaco] CDRs from MGW<http://www.ietf.org/mail-archive/web/megaco/current/msg08401.html>
 *   Index(es):
    *   Date<http://www.ietf.org/mail-archive/web/megaco/current/maillist.html#08396>
    *   Thread<http://www.ietf.org/mail-archive/web/megaco/current/threads.html#08396>